"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const GetDownloadUrlForLayer_1 = require("../model/operations/GetDownloadUrlForLayer");
class GetDownloadUrlForLayerCommand {
    constructor(input) {
        this.input = input;
        this.model = GetDownloadUrlForLayer_1.GetDownloadUrlForLayer;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.GetDownloadUrlForLayerCommand = GetDownloadUrlForLayerCommand;
//# sourceMappingURL=GetDownloadUrlForLayerCommand.js.map