/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { GetLifecyclePolicyInput } from "../types/GetLifecyclePolicyInput";
import { GetLifecyclePolicyOutput } from "../types/GetLifecyclePolicyOutput";
import { ECRResolvedConfiguration } from "../ECRConfiguration";
export * from "../types/GetLifecyclePolicyInput";
export * from "../types/GetLifecyclePolicyOutput";
export * from "../types/GetLifecyclePolicyExceptionsUnion";
export declare class GetLifecyclePolicyCommand implements __aws_sdk_types.Command<InputTypesUnion, GetLifecyclePolicyInput, OutputTypesUnion, GetLifecyclePolicyOutput, ECRResolvedConfiguration, _stream.Readable> {
    readonly input: GetLifecyclePolicyInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<GetLifecyclePolicyInput, GetLifecyclePolicyOutput, _stream.Readable>;
    constructor(input: GetLifecyclePolicyInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: ECRResolvedConfiguration): __aws_sdk_types.Handler<GetLifecyclePolicyInput, GetLifecyclePolicyOutput>;
}
