"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const GetRepositoryPolicy_1 = require("../model/operations/GetRepositoryPolicy");
class GetRepositoryPolicyCommand {
    constructor(input) {
        this.input = input;
        this.model = GetRepositoryPolicy_1.GetRepositoryPolicy;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.GetRepositoryPolicyCommand = GetRepositoryPolicyCommand;
//# sourceMappingURL=GetRepositoryPolicyCommand.js.map