"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const SetRepositoryPolicy_1 = require("../model/operations/SetRepositoryPolicy");
class SetRepositoryPolicyCommand {
    constructor(input) {
        this.input = input;
        this.model = SetRepositoryPolicy_1.SetRepositoryPolicy;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.SetRepositoryPolicyCommand = SetRepositoryPolicyCommand;
//# sourceMappingURL=SetRepositoryPolicyCommand.js.map